aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPhilip Balister <philip@balister.org>2015-03-09 15:21:15 -0400
committerArmin Kuster <akuster808@gmail.com>2015-04-01 06:18:56 -0700
commitfcf46e6ade68bad7db3f6f51b68b56073d30f0cd (patch)
tree07e64b7280021bed120a058d5893decafa227598
parent30438e7690a7e44ce216478c0352a3fbf3b572fb (diff)
downloadmeta-openembedded-contrib-fcf46e6ade68bad7db3f6f51b68b56073d30f0cd.tar.gz
meta-openembedded-contrib-fcf46e6ade68bad7db3f6f51b68b56073d30f0cd.tar.bz2
meta-openembedded-contrib-fcf46e6ade68bad7db3f6f51b68b56073d30f0cd.zip
python-pyqt : Move RDEPENDS on python-sip to PyQT.
python-sip has the runtime support for PyQT. Also drop the need for anki to RDEPEND on python-sip. Signed-off-by: Philip Balister <philip@balister.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
-rw-r--r--meta-oe/recipes-devtools/python/python-pyqt_4.11.3.bb2
-rw-r--r--meta-oe/recipes-extended/anki/anki_0.4.3.bb2
2 files changed, 2 insertions, 2 deletions
diff --git a/meta-oe/recipes-devtools/python/python-pyqt_4.11.3.bb b/meta-oe/recipes-devtools/python/python-pyqt_4.11.3.bb
index 140456e17e..607007ff6a 100644
--- a/meta-oe/recipes-devtools/python/python-pyqt_4.11.3.bb
+++ b/meta-oe/recipes-devtools/python/python-pyqt_4.11.3.bb
@@ -47,7 +47,7 @@ do_install() {
oe_runmake install
}
-RDEPENDS_${PN} = "python-core"
+RDEPENDS_${PN} = "python-core python-sip"
FILES_${PN} += "${libdir}/${PYTHON_DIR}/site-packages ${datadir}/sip/PyQt4/"
FILES_${PN}-dbg += "${libdir}/${PYTHON_DIR}/site-packages/*/.debug/"
diff --git a/meta-oe/recipes-extended/anki/anki_0.4.3.bb b/meta-oe/recipes-extended/anki/anki_0.4.3.bb
index d441a7011c..61e063d958 100644
--- a/meta-oe/recipes-extended/anki/anki_0.4.3.bb
+++ b/meta-oe/recipes-extended/anki/anki_0.4.3.bb
@@ -1,4 +1,4 @@
require ${PN}-${PV}.inc
-RDEPENDS_${PN} = "python-pyqt sip libanki"
+RDEPENDS_${PN} = "python-pyqt libanki"
RRECOMMENDS_${PN} = "virtual-japanese-font"